[SDL] Dependency Problem

paul at theV.net paul at theV.net
Sun Jul 21 21:34:01 PDT 2002


I am also a daily slackware user, but as you were trying 
to use SDL RPM release with slackware, I have to point out
that RPMs generally do not work well with slackware. 
Slackware users prefer to compile from source.

I'd suggest you download recent source releases of SDL, 
SDL_image, SDL_ttf, SDL_mixer, SDL_net and then compile
and install all of them before trying to compile other 
apps using SDL.

Or are you talking about what packages you need before
SDL can be properly compiled?

Regards,
.paul.

On Sun, Jul 21, 2002 at 11:03:55PM -0500, Anthony YS wrote:
> No offense taken.
> I know how to unzip and compile. I do it often.
> I was just confused about what packages I needed in order to compile 
> other apps using SDL
> Slackware is the best choice for me, I've learned alot.
> Anyway, thanks again.
> 
> AresCFH
> 
> BTW, whats your distro of choice?
> 
> 
> 
> h.lai at chello.nl wrote:
> 
> >On Sun, 2002-07-21 at 23:53, Anthony YS wrote:
> >
> >>Thank you all for your help. I have a simpler question. I want to 
> >>compile SDL1.2 from source. What SDL packages do I require?
> >>Thank you.
> >>
> >
> >SDL-1.2.4.tar.gz
> >
> >To install:
> >tar xzvf SDL-1.2.4.tar.gz
> >cd SDL-1.2.4
> >./configure
> >su -c "make install"
> >
> >No offense, but... are you sure Slackware is the right distro for you?
> >
> >
> >
> >
> >_______________________________________________
> >SDL mailing list
> >SDL at libsdl.org
> >http://www.libsdl.org/mailman/listinfo/sdl
> >
> 




More information about the SDL mailing list